> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Block Fingerprint by Intent

> Block the card fingerprint associated with a payment intent.

<Note>
  A fingerprint can only be blocked if the intent is in one of: `SUCCESS`, `REFUNDED`
</Note>

<Note>
  Fingerprints are only available for card-based payment methods: `CARD`, `APPLE_PAY`, `GOOGLE_PAY`, and `CARD_INSTALLMENT`.
</Note>

<Note>
  The block may take up to 1 hour to take effect.
</Note>

<ResponseExample>
  ```json 204 theme={null}
  ```

  ```json 400 theme={null}
  {
    "errorCode": "bad_request",
    "errorDescription": "Intent status does not allow block fingerprint"
  }
  ```

  ```json 400 theme={null}
  {
    "errorCode": "bad_request",
    "errorDescription": "Payment method does not allow block fingerprint"
  }
  ```

  ```json 400 theme={null}
  {
    "errorCode": "bad_request",
    "errorDescription": "Fingerprint already blocked"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml POST /argus/block-fingerprint-by-intent
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /argus/block-fingerprint-by-intent:
    post:
      description: Block the card fingerprint associated with a payment intent.
      requestBody:
        description: The payment intent whose card fingerprint should be blocked.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/block-fingerprint-by-intent-request'
      responses:
        '204':
          description: No content is returned.
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                intent-status:
                  summary: Intent status does not allow block fingerprint
                  value:
                    errorCode: bad_request
                    errorDescription: Intent status does not allow block fingerprint
                payment-method:
                  summary: Payment method does not allow block fingerprint
                  value:
                    errorCode: bad_request
                    errorDescription: Payment method does not allow block fingerprint
                already-blocked:
                  summary: Fingerprint already blocked
                  value:
                    errorCode: bad_request
                    errorDescription: Fingerprint already blocked
components:
  schemas:
    block-fingerprint-by-intent-request:
      type: object
      required:
        - intentId
      properties:
        intentId:
          type: string
          description: Unique identifier of the payment intent.
          example: in_gKAqR0DjLeOihdTE
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````